\name{r2c}
\alias{r2c}
\title{
  R to C compiler
}
\description{
  \code{r2c} compiles supplied expression or code into C
}
\usage{
r2c(what, code.only = FALSE)
}
\arguments{
  \item{what}{expression or character string (which will be parsed) to
    compile}
  \item{code.only}{if set to \code{TRUE} then the compilation stops with
    C code.}
}
\value{
  if \code{code.only} is \code{TRUE} then the function returns the
  actual C code as a string. Otherwise a call to the native function is
  returned. By default the result is a native function (if the R version
  supports it), otherwise it is an external call.
}
\details{
  The current implementation of the compiler it very experimental and
  ignores some aspects of the language. The goal is to produce as fast
  code as possible, so it may be cutting some corners. The long-term
  goal is to fall-back to the interpreter in parts that cannot be
  compiled (e.g. eval) with corresponding warnings that allow you to
  make your code more efficient.

  The compiler uses several optimization techniques to optimize for
  speed and it inlines all functions where possible.

  Again, the current state is pre-alpha, pure experimental to find out
  how far a native compilation can get. The speedup is really impressive
  on the simple examples tested so far.
}
\keyword{interface}
